To create new wiki account, please join us on #znc at freenode and ask admins to create a wiki account for you. You can say thanks to spambots for this inconvenience.

Portability

From ZNC
Revision as of 23:35, 29 December 2012 by KindOne (talk | contribs) (Added missing Category. Now shows up in Category page for ZNC)
Jump to navigation Jump to search

This page tries to display the current status of ZNC on different platforms.


Platform Compiler Status Notes
Linux gcc ok
FreeBSD gcc ok
OpenBSD gcc ok
GNU gcc ok
Darwin gcc ok
Cygwin gcc ok
Solaris >= 10 gcc ok Requires znc 0.093 or later
Solaris <= 9 gcc ok Requires znc 0.099 or later
Irix gcc ok Requires znc 0.099 or later
Windows msvc ok Unoffical patches and precompiled packages available at [1]
icpc (icc) ok Seems to work fine if you are lucky (Hint: -diag-disable 383,444,869,981,1419,1572,1710,1711,1712,2259)
Windows mingw ok There are patches for this available (just ask), but they wont be added to vanilla ZNC any time soon